Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004817OCamlOCaml generalpublic2009-06-07 19:062011-05-29 12:14
Reporterfrisch 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1+rc1 
Target VersionFixed in Version3.11.1+dev 
Summary0004817: Object type gives error "Unbound type parameter .."
DescriptionSince OCaml 3.11 (I think), a definition like:

type t = < m : 'a. (< .. > as 'a) -> unit >

is rejected with the following error:

Error: Unbound type parameter ..


TagsNo tags attached.
Attached Files

- Relationships
related to 0004481closed exception with object yields incorrect type 

-  Notes
(0004986)
frisch (developer)
2009-06-07 19:10

This might be related to 0004458.

The following works fine:

type o = < m : 'a. 'a -> unit > constraint 'a = < .. >


Is it possible to adapt the type pretty-printer to avoid printing invalid
types like < m : 'a. (< .. > as 'a) -> unit > ? E.g.:

module X : sig type o = unit end = struct class type o = object method m : 'a. (< .. > as 'a) -> unit end end

produces

...

       Type declarations do not match:
         type o = < m : 'a. (< .. > as 'a) -> unit >
       is not included in
         type o = unit
(0004988)
garrigue (manager)
2009-06-08 06:09

Fixed in CVS for 3.11.1.
The fix to PR#4481 was incorrect.
Rollback it in Typetexp, and fix it properly in Typedecl.

- Issue History
Date Modified Username Field Change
2009-06-07 19:06 frisch New Issue
2009-06-07 19:10 frisch Note Added: 0004986
2009-06-08 06:09 garrigue Note Added: 0004988
2009-06-08 06:09 garrigue Status new => resolved
2009-06-08 06:09 garrigue Fixed in Version => 3.11.1+dev
2009-06-08 06:09 garrigue Resolution open => fixed
2009-06-08 06:09 garrigue Assigned To => garrigue
2009-06-08 06:10 garrigue Relationship added related to 0004481
2011-05-29 12:14 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker